Package Details

Package: plplot-5.9.9+23
Product: plplot
SVN Revision: 45439
Effective SVN Revision (incl depedencies): 45493
Effective latest update: 03/05/2017-10:45
Lifecycle: operational
Lifecycle (spec): operational
State: ERROR
Validation State: OK
Inherited State: ERROR
Build State: UNKNOWN
Test State: UNKNOWN

Dependency Graph

Remark: The dependency graph depicts for packages dependant on plplot-5.9.9+23 only the latest version per product. Furthermore, test dependencies are not visible.

Listed Dependencies (main)

cmake-2.8.12.2+1 OK
pango-1.28.4+11 OK
swig-3.0.2+4 OK
numpy-1.9.1+10 ERROR

For a list with all direct and indirect dependencies and dependants (main and test) see all dependencies.

Messages:

ERROR INHERIT - Package depends on other package with erroneous status: (numpy-1.9.1+10 : ERROR)

All Reports

Table File

1 setupRequired(numpy 1.9.1+10)
2 setupRequired(swig 3.0.2+4)
3 setupRequired(cmake 2.8.12.2+1)
4 setupRequired(pango 1.28.4+11)
5
6 envSet(PLPLOT_LIB,${PRODUCT_DIR}/share/plplot5.9.9)
7 envAppend(LD_LIBRARY_PATH, ${PRODUCT_DIR}/lib)
8 envAppend(PATH, ${PRODUCT_DIR}/bin)
9 if (FLAVOR == DarwinX86 || FLAVOR == Darwin) {
10 envPrepend(DYLD_LIBRARY_PATH, ${PRODUCT_DIR}/lib)
11 }

Build File

1 #!/usr/bin/env bash
2 curl -O $EXTERNAL/$PRODUCT/$PRODUCT-$VERSION.tar.gz
3 tar xzf $PRODUCT-$VERSION.tar.gz
4 cd $PRODUCT-$VERSION
5
6 mkdir -p build_dir
7 cd build_dir
8
9 # Make sure we see the gettext libraries
10 export CMAKE_INCLUDE_PATH=$GETTEXT_DIR/include
11 export CMAKE_LIBRARY_PATH=$GETTEXT_DIR/lib
12
13 if [[ $FLAVOR =~ Darwin ]] ; then
14 export CXX=c++
15 export SHLIB_SUFFIX=.dylib
16 # FM: for python 2.7.6 and 2.7.9 and above
17 PYTHON_VERSION=`python -c 'import sys; print "%s.%s.%s" % (sys.version_info[0:3])'`
18 PYTHON_LIB=$PYTHON_DIR/versions/$PYTHON_VERSION/Python.framework/Versions/2.7/lib/libpython2.7$SHLIB_SUFFIX
19 PYTHON_INC=$PYTHON_DIR/versions/$PYTHON_VERSION/Python.framework/Versions/2.7/include/python2.7
20 elif [[ $FLAVOR =~ Linux ]] ; then
21 export CXX=g++
22 export SHLIB_SUFFIX=.so
23 PYTHON_LIB=$PYTHON_DIR/lib/libpython2.7$SHLIB_SUFFIX
24 PYTHON_INC=$PYTHON_DIR/include/python2.7
25 else
26 echo "ERROR: EUPS FLAVOR:$FLAVOR not supported"
27 exit
28 fi
29
30 cmake -DPYTHON_EXECUTABLE=$PYTHON_DIR/bin/python \
31 -DPYTHON_LIBRARY=$PYTHON_LIB \
32 -DPYTHON_INCLUDE_PATH=$PYTHON_INC \
33 -DENABLE_java=OFF \
34 -DCMAKE_INSTALL_PREFIX=$PRODUCT_DIR ..
35
36 make
37 make install